enum
{    
	//layout left side
	CHECKSCENE = 1000,
	STARTCLOUDMANAGER = 1001,
	TILERENDERING = 1002,
	TAKERENDERING = 1003,
	SMARTUPLOAD = 1004,
	CHOOSEPRIORITY = 1005,
	SUBMITPROJECT = 1006,

	//laytout tabs
	SUBMITTAB = 1007,
	DEADLINECONTROL = 1008,
	ADVANCEDTAB = 1009,

	//top menus - HELP
	HELP = 1010,
	CALCULATECOSTS = 1011,
	SUPPORTEDPLUGINS = 1012,

	BUYCREDITS = 1013,
	
	TOOLS = 1014,
	SAVEWITHASSETS = 2015,
	REMOVEUNUSEDMATERIALS = 1016,
	CONVERTTEXTUREPATHS = 1017,

	//deadlinecontrol tab
	ENABLEDEADLINLINECONTROL = 1018,
	DEMOVIDEO = 1019,
	DEADLINEHOURS = 1020,
	DEADLINE_RENDERTIMEPERFRAME = 1021,
	DEADLINE_AMOUNTOFFRAMES = 1022,
	AUTOSCOREWORKSTATION = 1023,
	MANUALBENCHMARK = 1024,
	CINEBENCHR20SCORE = 1025,
	OCTANEBENCH2020SCORE = 1026,
	FINDMYSCORE = 1027,
	CALCULATEDEADLINE = 1028,

	//advanced tab
	CUSTOMLIST = 1029,
	CUSTOMSLICENUMBER = 1030,
	CUSTOMPOOL = 1031,
	CUSTOMPRIORITY = 1032,
	CUSTOMINSTALLPATHS = 1033,
	CUSTOMPLUGINVERSION = 1034,
	REPLACE = 11034,
	
	DELIVERYMETHOD = 1035,
	ONFRAMECOMPLETION = 1036,
	ONJOBCOMPLETION = 1037,
	MANUALDOWNLOAD = 1038,
	DOWNLOADFTP = 1039,
	NODOWNLOAD = 1040,

	CUSTOMC4DVERSION = 1041,
	AUTOMATICALLY = 1042,

	SAVESETTINGS = 1043,
	RESESTSETTINGS = 1044,

	// ####  check scene ####
	//camera
	CAMERA = 1045,
	CAMERASUCCESS = 1046,
	CAMERAWARNING = 1047,
	//projectfile
	PROJECT = 1048,
	PROJECTERROR_SAVE = 1049,
	PROJECTERROR_NONASCII = 1050,
	PROJECTERROR_TOOLONG = 1051,
	SUCCESS = 1052,
	//textures smart upload on
	TEXTURES = 1053,
	TEXTURESERROR_ASSETSBROWSER = 1054,
	TEXTURESERROR_UNUSEDMATERIALS = 1055,
	TEXTURESERROR_MISSINGASSETS = 1056,
	//textures smart upload off
	TEXTURESERROR_ABSOLUTEASSETS = 1057,
	TEXTURESERROR_ASSETSBROWSER2 = 1058,
	TEXTURESERROR_ABSOLUTEASSETS2 = 1059,
	//renderengine
	RENDERENGINE = 1060,
	RENDERENGINE_VERSIONMATCH = 1061,
	RENDERENGINE_WILLBEUSED = 1062,
	RENDERENGINE_LOCAL = 1063,
	RENDERENGINE_FARMCLOSEST = 1064,
	
	RENDERENGINE_PRORENDER = 1065,
	RENDERENGINE_PRORENDER_ERROR = 1066,

	RENDERENGINE_NOTSUPPORTED = 1067,
	RENDERENGINE_VRAYGI = 1068,
	RENDERENGINE_SUCCESS = 1069,
	RENDERENGINE_VRAY_TURNOFFVFB = 1070,
	//fps
	FPS = 1071,
	FPS_SUCCESS = 1072,
	FPS_NOTEQUAL = 1073,
	//output 
	OUTPUT = 1074,
	OUTPUTERROR_TOKEN = 1075,
	OUTPUTERROR_NOTFOUND = 1076,
	OUTPUTERROR_NONASCII = 1077,
	OUTPUTERROR_NOTDEFINED = 2077,
	OUTPUTERROR_OUTPUTLOCATIONISPROJECT = 1078,
	OUTPUTERROR_SUBFOLDER = 1079,
	OUTPUTERROR_TOOLONG = 1080,
	//multipass
	MULTIPASS = 1081,
	MULTIPASSERROR_SPEEDTIP = 1082,
	MULTIPASSERROR_SPEEDTIP2 = 2082,
	MULTIPASSERROR_NOTSELECTED = 1083,
	MULTIPASSERROR_ABSOLUTEAOV = 1084,
	MULTIPASS_REDSHIFTAOV_ON = 1085,
	MULTIPASS_REDSHIFTAOV_OFF = 2085,
	MULTIPASSERROR_REDSHIFT_CHECK = 2086,
	MULTIPASSERROR_REDSHIFTREADING = 1086,
	//vram
	VRAMERROR = 1087,
	//crypomatte
	CRYPTOMATTE = 1088,
	CRYPTOMATTE_REDSHIFT_SUCCESS = 1089,
	CRYPTOMATTE_CYCLES4D_SUCCESS = 2089,
	//ocio redshift
	CUSTOMOCIO = 1090,
	OCIO_REDSHIFT_SUCCESS = 1091,
	OCIO_REDSHIFT_ERROR = 2091,
	//postfx
	POSTFXERROR_BLOOM = 1092,
	POSTFXERROR_FLARE = 1093,
	POSTFXERROR_BOKEH = 1094,
	POSTFXERROR_STREAK = 1095,
	POSTFXERROR_DISTORTION = 1096,
	//tilecamera 
	TILE_PERSPECTIVE = 1097,
	//octane render passes
	RENDERPASSES = 1098,
	RENDERPASSESOCTANE = 1099,
	RENDERPASSESERROR_OCTANEX = 1100,
	RENDERPASSESERROR_OCTANEX2 = 1101,
	CRYPOTMATTE_OCTANESUCCESS = 2101,
	RENDERPASSESERROR_SHOWPASSES = 1102,
	RENDERPASSES_DIRECTOUTPUT = 1103,
	RENDERPASSES_DIRECTOUTPUT2 = 1104,
	RENDERPASSES_DIRECTOUTPUT3 = 2104,
	RENDERPASSES_CANTCHECK = 1105,
	RENDERPASSES_MULTILAYER = 1106,
	// ocio octane
	OCIO_CUSTOMENABLED = 1107,
	OCIOERROR_PATH = 1108,
	OCIOSUCCESS = 1109,
	//octane
	OCTANE_USEALLGPU = 1110,
	//format 
	FORMAT_ERROR = 1111,
	FORMAT_NOTSUPPORTED = 1112,
	FORMAT_ERROR_MOVIE = 1113,
	FORMAT_SPEEDTIP = 1114,
	FORMAY_SUCCESS = 1115,
	//slice number 
	SLICENUMBER_SPEEDBOOST1 = 1116,
	SLICENUMBER_SPEEDBOOST2 = 1117,
	SLICENUMBER_SPEEDBOOST3 = 1118,
	SLICENUMBER_SPEEDBOOST4 = 1119,
	SLICENUMBER_SPEEDBOOST5 = 1120,
	SLICENUMBNER_SUCCESS = 1121,
	//gi
	GI_SUCCESS_NONE = 1122,
	GI_USINGCACHE = 1123,
	GI_NOCACHE = 1124,
	GI_SET = 1125,
	//physical 
	PHYSICAL_PROGRESSIVE_ERROR = 1126,
	PHYSICAL_PROGRESSIVE_WARNING = 1127,
	//output
	OUTPUTSETTINGS = 1128,
	OUTPUTSETTINGS_CHECKBOX = 1129,
	//plugins 
	PLUGINS_HDR_NOT_RELATIVE1 = 1130,
	PLUGINS_HDR_NOT_RELATIVE2 = 1131,
	//signal
	SIGNAL_BAKE = 1133,
	//gorillacam
	GORILLACAM_BAKE = 1134,
	//suntag
	SUNTAG_WARNING1 = 1135,
	SUNTAG_WARNING2 = 2135,
	//delay effector 
	DELAYEFFECTOR = 1136,
	DELAYEFFECTOR_ERROR = 1137,
	//spring effector 
	SPRINGEFFECTOR = 1138,
	SPRINGEFFECTOR_ERROR = 1139,
	//time effector 
	TIMEEFFECTOR = 1140,
	TIMEEFFECTOR_ERROR = 1141,
	//background tile rendering
	BACKGROUNDTILE = 1142,
	//redshift vdb
	VDB_REDSHIFTERROR = 1143,
	//redshift proxy
	REDSHIFTPROXYERROR_FOLDER = 1144,
	REDSHIFTPROXYERROR_TEXTURESFOUND = 1145,
	REDSHIFTPROXYERROR_TEXTUREABSOLUTE = 1146,
	//xref
	XREF_ERROR = 1147,
	//alembic 
	ALEMBIC_ERROR = 1148,
	ALEMBICMORPTH_ERROR = 1149,
	// c4d vdb 
	VDB_ERROR = 1150,
	// octane vdb
	VDB_OCTANEERROR = 1151,
	//volume object
	ARNOLD_VOLUME_ERROR = 1152,
	//arnold ocio
	ARNOLDOCIO_ERROR1 = 1153,
	ARNOLDOCIO_ERROR2 = 1154,
	//realflow cache
	REALFLOWCACHE_ERROR = 1155,
	//fumefx
	FUMEFX_ERROR = 1156,
	//turbulance fd
	FTD_CACHEFOLDER = 1157,
	FTD_CANTREAD1 = 1158,
	FTD_CANTREAD2 = 1159,
	//x-partcles 
	XPCACHE_ERROR = 1160,
	XPCACHE_MISSING = 1161,
	//emitter c4d
	EMITTER_BAKE = 1162,
	//realflow particle / mesh importer 
	REALFLOWIMPORTER_ERROR = 1163,
	REALFLOWMESH_ERROR = 1164,
	//redshift denoiser 
	ALTUS_OLDVERSION = 1165,
	ALTUS_SUCCESS_SINGLE = 1166,
	ALTUS_SUCCESS_DOUBLE = 1167,
	//frames
	FRAMES_NEGATIVE = 1168,
	FRAMES_SINGLEFRAME = 1169,
	FRAMES_START = 1170,
	FRAMES_END = 1171,
	FRAMES_TAKE = 1172,
	//tile rendering 
	TILERENDER_SUCCESS = 1173,
	TILERENDER_CAMERA = 1174,
	TILERENDER_NOCAM = 1175,
	TILERENDER_MULTIPLEFRAMES = 1176,
	TILERENDER_XYRES = 1177,
	TILERENDER_MULTILAYER = 1178,
	TILERENDER_ALPHA = 1179,
	TILERENDER_WARNING_BIGIMAGE = 1180,
	TILERENDER_MORPHTAG = 1181,
	//take rendering 
	TAKERENDER_MAXTAKES = 1182,
	TAKERENDER_SPACES = 1183,
	TAKERENDER_NOTAKES = 1184,
	TAKERENDER_DUB_TAKES = 1185,
	TAKERENDER_NONASCII = 1186,
	TAKERENDER_SUCCESS = 1187,
	//resolution
	RESOLUTIONSUCCES = 1188,
	//dynamics 
	DYNAMIC_BODYTAG = 1189,
	DYNAMIC_SPLINE = 1190,
	DYNAMIC_CLOTH = 1191,
	//hair
	HAIR_SUCCESS = 1192,
	HAIR_CACHE_ADVISE = 1193,
	//pyro 
	PYRO_SUCCESS = 1194,
	PYRO_ERROR = 1195,
	//name format 
	NAMEFORMATWARNING = 1196,
	//motext 
	MOTEXTWARNING = 1197,
	//project name non ascii 
	PROJECTNAME_NONASCII = 1198, 
	//arnold non ascii 
	ASSETS_ERROR_ANROLD1 = 1199,
	ASSETS_ERROR_ANROLD2 = 1200,
	//texture formats movies 
	EXSTESION_GIF = 1201,
	EXSTESION_MOV = 1202,
	EXSTESION_AVI = 1203,
	EXSTESION_MP4 = 1204,
	//subfolder count 
	SUBFOLDERCOUNT = 1205,
	//project path 
	PROJECTPATH_UNCMAPPED = 1206,
	//octane redshift version tips
	OCTANE_VERSION_TIP = 1207,
	REDSHIFT_VERSION_TIP = 1208,
	//deadline control 
	DEADLINECONTROL_ON = 1209,
	DEADLINECONTROL_OFF = 1210,

	// ####  GUI MESSAGES ####
	ERROR = 1211,
	CLOUDMANAGER_NOTCONNECTED1 = 1212,
	CLOUDMANAGER_NOTCONNECTED2 = 3212,
	CLOUDMANAGER_NO_INTERNET = 1213,
	PLUGINFIND_ENGINE1 = 1214,
	PLUGINFIND_ENGINE2 = 1215,
	PLUGINFIND_OCIO = 1216,
	LOGFILE_ERROR = 1217,
	MISSINGTEXTURES1 = 1218,
	MISSINGTEXTURES2 = 1219,
	REDSHIFTPROXY_NOTFOUND_MESSAGE = 1220,
	REDSHIFTPROXY_LIMITATIONS = 1221,
	TAKES_SPECIALCHARACTERS = 2221,
	PREFFOLDER_NOTFOUND = 1222,
	PREFFOLDER_WRITABLE = 1223,
	OCTANE_NOTSUPPORTED = 1224,
	ACES_CUSTOMERROR = 1225,
	RESET_ADVANCEDTAB = 1226,
	TEXTUREPATH_ERROR1 = 1227,
	TEXTUREPATH_ERROR2 = 1228,
	DUBLICATETEXTURE = 1229,
	XPCACHE_ERROR = 1230,
	XPCACHE_ERROR2 = 2230,
	JOBSUBMIT_PREPASS = 1231,
	JOBSUBMIT_SUCCESS = 1232,
	TAKES_MAXAMOUNT = 1233,
	JOBSUBMIT_TAKES = 1234,
	CLOUDMANAGER_INSTALL_LOCATION = 1235,
	UNUSEDMATERIALS = 1236,
	DOCUMENTPATH_NONASCII_1 = 1237,
	DOCUMENTPATH_NONASCII_2 = 1238,
	BITDEPTH_MULTIPASS = 1239,
	BIGDEPTH_OUTPUT = 1240,
	CLOUDMANAGER_NOTFOUND = 1241,
	NOCCLFOUND = 1242,
	TAKES_ENABLED = 1243,
	TAKES_DISABLED = 1244,
	TILERENDER_ENABLED1 = 1245,
	TILERENDER_ENABLED2 = 2245,
	TILERENDER_DISABLED = 1246,
	SMARTUPLOAD_ON = 1247,
	SMARTUPLOAD_OFF = 1248,
	SMARTUPLOAD_R20 = 1249,
	//deadline control
	UNABLE_CINEBENCH1 = 1250,
	UNABLE_CINEBENCH2 = 2250,
	UNABLE_OCTANEBENCH1 = 1251,
	UNABLE_OCTANEBENCH2 = 2251,
	GENERATE_CINEBENCH1 = 1252,
	GENERATE_CINEBENCH2 = 2252,
	GENERATE_OCTANEBENCH1 = 1253,
	GENERATE_OCTANEBENCH2 = 2253,
	RECALCULATE = 1254,
	DEADLINENOTPOSSIBLE = 1255,
	RUNDEADLINECONTROL = 1256,
	DEADLINEFRAMES = 1257,
	RECALCULATE_DIFJOB = 1258,
	DEADLINE_BEFOREJOB1 = 1259,
	DEADLINE_BEFOREJOB2 = 2259,
	//cloud manager 
	CLOUDMANAGER_NOTFOUND2 = 1260,
	ERRORMESSAGE_SEND = 1261,
	ERRORMESSAGE_ERROR = 1262,
	//deadline control 
	RATING_EASY = 1263,
	RATING_SAFE = 1264,
	RATING_CONFIDENT = 1265,
	RATING_TIGHT = 1266,
	RATING_DELAY = 1267,
	RATING_INCREASE = 1268,
	RATING_TOOLONG = 1269,

	ESTIMATEDPRICE = 1270,
	LOCALRENDER = 1271,
	PROJECTSIZE = 1272,
	SYNCEDFILES = 1273,
	UPLOADSPEED = 1274,
	UPLOADTIME = 1275,
	//final submit
	SUBMIT_WARNINGS1 = 1276,
	SUBMIT_WARNINGS2 = 1277,
	SUBMIT_WARNINGS3 = 1278,
	SUBMIT_WARNINGS4 = 1279,
	SUBMIT_GO = 1280,
	//check scene status
	STATUS = 1281,
	STATUS_ERRORS = 1282,
	STATUS_WARNINGS = 1283,
	STATUS_READY = 1284,
	//ccl errors 
	CCL_ERROR2 = 2284,
	CCL_ERROR3 = 1285,
	CCL_ERROR53 = 1286,
	CCL_ERROR96 = 1287,
	CCL_ERROR75 = 1288,
	CCL_ERROR98 = 1289,
	CCL_ERROR66 = 1290,
	CCL_ERRORCMD = 1291,
	CCL_ERROR134 = 1292,

	



















































};
